Delete tools-exec-gift-trusty-01.tools.eqiad.wmflabs and giftbot queue
Closed, ResolvedPublic

Description

I don't need them for the foreseeable future.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2018, 1:14 AM
Vvjjkkii renamed this task from Delete tools-exec-gift-trusty-01.tools.eqiad.wmflabs and giftbot queue to c1caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from c1caaaaaaa to Delete tools-exec-gift-trusty-01.tools.eqiad.wmflabs and giftbot queue.
CommunityTechBot added a subscriber: Aklapper.
GTirloni triaged this task as Normal priority.Fri, Nov 30, 5:26 PM
GTirloni claimed this task.

Current state:

# qhost  |grep gift
tools-exec-gift-trusty-01.tools.eqiad.wmflabs lx26-amd64      2  0.01    3.9G    1.4G   12.1G     0.0

# qhost -q -h tools-exec-gift-trusty-01.tools.eqiad.wmflabs
HOSTNAME                ARCH         NCPU  LOAD  MEMTOT  MEMUSE  SWAPTO  SWAPUS
-------------------------------------------------------------------------------
global                  -               -     -       -       -       -       -
tools-exec-gift-trusty-01.tools.eqiad.wmflabs lx26-amd64      2  0.01    3.9G    1.4G   12.1G     0.0
   giftbot              BC    0/0/1000

Removal:

# qmod -d '*@tools-exec-gift-trusty-01.tools.eqiad.wmflabs'
root@tools-bastion-03.tools.eqiad.wmflabs changed state of "giftbot@tools-exec-gift-trusty-01.tools.eqiad.wmflabs" (disabled)

# qhost -q -h tools-exec-gift-trusty-01.tools.eqiad.wmflabs
HOSTNAME                ARCH         NCPU  LOAD  MEMTOT  MEMUSE  SWAPTO  SWAPUS
-------------------------------------------------------------------------------
global                  -               -     -       -       -       -       -
tools-exec-gift-trusty-01.tools.eqiad.wmflabs lx26-amd64      2  0.01    3.9G    1.4G   12.1G     0.0
   giftbot              BC    0/0/1000      d

# qconf -dq giftbot
root@tools-bastion-03.tools.eqiad.wmflabs removed "giftbot" from cluster queue list

# qconf -de tools-exec-gift-trusty-01.tools.eqiad.wmflabs
root@tools-bastion-03.tools.eqiad.wmflabs removed "tools-exec-gift-trusty-01.tools.eqiad.wmflabs" from execution host list

# qconf -dconf tools-exec-gift-trusty-01.tools.eqiad.wmflabs
root@tools-bastion-03.tools.eqiad.wmflabs removed "tools-exec-gift-trusty-01.tools.eqiad.wmflabs" from configuration list

Confirming host/queue are removed:

# qconf -mq giftbot
Cluster queue entry "giftbot" does not exist

# qhost -h tools-exec-gift-trusty-01.tools.eqiad.wmflabs
HOSTNAME                ARCH         NCPU  LOAD  MEMTOT  MEMUSE  SWAPTO  SWAPUS
-------------------------------------------------------------------------------
global                  -               -     -       -       -       -       -

# qhost | grep gift
#

No special configuration found in ops/puppet.git either.

Mentioned in SAL (#wikimedia-cloud) [2018-11-30T18:15:09Z] <gtirloni> shutdown tools-exec-gift-trusty-01 instance (T194615)

Mentioned in SAL (#wikimedia-cloud) [2018-12-01T02:44:35Z] <gtirloni> deleted instance tools-exec-gift-trusty-01 (T194615)

GTirloni closed this task as Resolved.Sat, Dec 1, 2:44 AM